summaryrefslogtreecommitdiff
path: root/tests/openpgp/finish.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/openpgp/finish.test')
-rwxr-xr-xtests/openpgp/finish.test17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/openpgp/finish.test b/tests/openpgp/finish.test
new file mode 100755
index 0000000..fced570
--- /dev/null
+++ b/tests/openpgp/finish.test
@@ -0,0 +1,17 @@
+#!/bin/sh
+# Copyright 2010 Free Software Foundation, Inc.
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved. This file is
+# distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY, to the extent permitted by law; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+. $srcdir/defs.inc || exit 3
+
+if $GPG_AGENT --quiet; then
+ $GPG_CONNECT_AGENT killagent /bye >/dev/null
+fi
+
+exit 0
+